##
#
# Makefile of libmod
#   Makefile of libmod, pasky's modules library
#
# $Id: Makefile.in,v 1.2 2002/02/03 14:45:35 pasky Exp $
#
# Copyright (C) 2001,2002  Petr Baudis <pasky@ji.cz>
# Copyright (C) 2002       Jan Sembera <fis@ji.cz>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##

prefix = @prefix@
exec_prefix = @exec_prefix@
bindir = @bindir@
sysconfdir = @sysconfdir@
libdir = @libdir@
datadir = @datadir@
includedir = @includedir@
VERSION = @VERSION@
install = @INSTALL@

CC = @CC@
MAKE = @MAKE@
CFLAGS = @CFLAGS@ -I../libaio/ -Wall -Werror -pedantic
LDFLAGS = @LDFLAGS@ -L. -L../libaio/
DEFS = @DEFS@
LIBS = @LIBS@

LIBMOD_OBJS=module.o modconn.o modcom.o

all: libmod

libmod: libmod.a

libmod-clean:
	rm -f libmod.a $(LIBMOD_OBJS)

libmod-distclean:
	rm -f libmod.a $(LIBMOD_OBJS) Makefile

.PHONY: libmod.a 
libmod.a: $(LIBMOD_OBJS)
	ar r $@ $(LIBMOD_OBJS)
	ranlib $@
	cp libmod.a ..

clean:	libmod-clean

distclean:  libmod-distclean

.PHONY: install
install:
	@echo "Nothing to do in this directory, good bye"


## TODO: Test suite
